=== tests/aslts/src/runtime/collections/complex/misc/Makefile ===
# misc

AMLMOD= misc
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
