=== tests/aslts/src/runtime/collections/functional/descriptor/Makefile ===
# descriptor

AMLMOD= descriptor
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
