=== tests/aslts/src/runtime/collections/functional/reference/Makefile ===
# reference

AMLMOD= reference
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
