=== debian/changelog ===
acpica-unix (20140214-1ubuntu1) trusty; urgency=medium

  * debian/run-misc-tests.sh: Use dpkg-architecture instead of 'uname -m'

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 29 Mar 2014 17:00:31 -0600

acpica-unix (20140214-1) unstable; urgency=medium

  * Upgrade to latest upstream.
  * Remove temporary patch to fix aapits test suite Makefile.
  * Closes: #737804 -- FTBS on big endian arches was caused by a faulty
    warning message; added patch to fix.

 -- Al Stone <ahs3@debian.org>  Thu, 27 Feb 2014 20:12:53 -0700

acpica-unix (20140114-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Remove temporary patch for forgotten Makefile.
  * Add patch to fix aapits test suite Makefile.

 -- Al Stone <ahs3@debian.org>  Thu, 23 Jan 2014 16:10:00 -0700

acpica-unix (20131218-1) unstable; urgency=medium

  * Upgrade to latest upstream.
  * Update Standards-Version.
  * Ack of NMU.
  * Closes: #714425 -- new acpidump is as compatible as upstream can be
  * Closes: #731760 -- remove extraneous "/man1" from postinst script
  * Closes: #700169 -- include proper license in upstream tarball (I
    believe this has been fixed for awhile but please reopen if needed)
  * Closes: #707584 -- iasl output format changes will be handled on
    the seabios side, not in iasl
  * Add temporary patch since upstream forgot a Makefile in the tarball.

 -- Al Stone <ahs3@debian.org>  Mon, 06 Jan 2014 19:16:09 -0700

acpica-unix (20131115-1.1) unstable; urgency=medium

  * Non-maintainer upload.  Closes: #696211.
  * Add cross-compilation support.
  * Use dpkg-buildflags for hardening support.
  * Disable the test suite when DEB_BUILD_OPTIONS=nocheck is set.

 -- Steve Langasek <vorlon@debian.org>  Tue, 10 Dec 2013 06:39:51 +0000

acpica-unix (20131115-1) unstable; urgency=low

  * Update to latest upstream. 

 -- Al Stone <ahs3@debian.org>  Mon, 25 Nov 2013 15:31:42 -0700

acpica-unix (20130927-1) unstable; urgency=low

  * Update to latest upstream.

 -- Al Stone <ahs3@debian.org>  Tue, 08 Oct 2013 17:01:36 -0600

acpica-unix (20130823-2) unstable; urgency=low

  * Fix the run-misc-tests.sh script to enable running on s390x. 

 -- Al Stone <ahs3@debian.org>  Tue, 10 Sep 2013 20:41:19 -0600

acpica-unix (20130823-1) unstable; urgency=low

  * Update to latest upstream. 

 -- Al Stone <ahs3@debian.org>  Mon, 26 Aug 2013 13:36:15 -0600

acpica-unix (20130725-1) unstable; urgency=low

  * Update to latest upstream. 

 -- Al Stone <ahs3@debian.org>  Sun, 18 Aug 2013 15:02:45 -0600

acpica-unix (20130626-1) unstable; urgency=low

  * Update to latest upstream. 
  * Closes: bug#704822 -- properly clean up alternatives after purge;
    all the suggestions made in the bug have been applied
  * Closes: bug#714426 -- acpidump has been implemented for Linux
  * Closes: bug#703711 -- acpidump/acpixtract both use alternatives
  * Add in basic man page for acpidump
  * Enable running of the AAPITS tests

 -- Al Stone <ahs3@debian.org>  Wed, 24 Jul 2013 16:25:46 -0600

acpica-unix (20130517-1) unstable; urgency=low

  * New upstream version.
  * Add myself to Uploaders per maintainer.
  * Update patches (some no longer needed, some combined)

 -- Al Stone <ahs3@debian.org>  Tue, 28 May 2013 20:35:18 -0600

acpica-unix (20130328-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version.
  * Clean up lintian problems where possible.
  * Closes: bug#696211 -- now using dh with compat=9, which will
    include the proper build flag support by default
  * Closes: bug#700169 -- correct copyright file contents have been
    provided, and all source files contain the proper license info
    in them from upstream (obviating a need for a separate license file)
  * Add in provided watch file.
  * Closes: bug#704822 -- properly clean up alternatives after purge

 -- Al Stone <ahs3@debian.org>  Mon, 15 Apr 2013 16:32:40 -0600

acpica-unix (20130214-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Update changelog properly.
  * Closes: bug#653227 -- new upstream release of ACPICA tools
  * Closes: bug#588388 -- build all of the tools provided, not just iasl,
    and package into a single package of executables.  This will replace
    the previous iasl package.
  * Add patch to fix a test failure in name comparison on big-endian
    machines.

 -- Al Stone <ahs3@debian.org>  Fri, 22 Mar 2013 09:13:25 -0600

acpica-unix (20130214-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream (since the last attempt at NMU). 
  * Clarify the licensing: this is being released under GPLv2 as allowed
    under the original dual-licensing from Intel.
  * Corrected integer to pointer conversion resulting from an incorrect
    patch (caused FTBFS on ARM, other 32-bit arches).

 -- Al Stone <ahs3@debian.org>  Mon, 18 Feb 2013 14:44:41 -0700

acpica-unix (20130117-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Instead of using the git clone from a particular day, stick to
    using just the official released versions and patch as needed.
    This should simplify maintenance quite a bit.
  * Add basic man pages for everything.
  * Enable some basic testing.
  * Update patches as needed.

 -- Al Stone <ahs3@debian.org>  Wed, 06 Feb 2013 13:03:19 -0700
