## acpica-unix 20140926

=== debian/changelog ===
acpica-unix (20140926-1) unstable; urgency=medium

  * Upgrade to latest upstream.
  * Refresh patches as needed.

 -- ahs3 <ahs3@debian.org>  Wed, 01 Oct 2014 15:30:54 -0600

acpica-unix (20140828-1) unstable; urgency=medium

  * Upgrade to latest upstream.
  * Refresh patches as needed.
  * Closes: #756838 -- re-enable build on big-endian systems (needed
    to add a patch to do so)

 -- Al Stone <ahs3@debian.org>  Fri, 29 Aug 2014 14:42:27 -0600

acpica-unix (20140724-1) unstable; urgency=medium

  * Upgrade to latest upstream.
  * Closes: #752950 -- refreshed patches so they apply properly
  * Refresh some of the patches.

 -- Al Stone <ahs3@debian.org>  Mon, 28 Jul 2014 14:47:02 -0600

acpica-unix (20140424-1) unstable; urgency=medium

  * Upgrade to latest upstream. 

 -- Al Stone <ahs3@debian.org>  Wed, 07 May 2014 14:30:05 -0600

acpica-unix (20140325-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Closes: #743011 -- don't rely on uname to determine word size; just
    used the patch supplied in the BTS

 -- Al Stone <ahs3@debian.org>  Mon, 07 Apr 2014 11:38:35 -0600
