## acpica-unix 20141107

=== debian/changelog ===
acpica-unix (20141107-1) unstable; urgency=medium

  * Upgrade to latest upsteam 
  * Refresh patches as needed.

 -- ahs3 <ahs3@debian.org>  Mon, 17 Nov 2014 18:06:06 -0700
