=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: acpica-unix
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattia Dongili <malattia@debian.org>
+Maintainer: Mattia Dongili <malattia@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
 Build-Depends: debhelper (>= 9.0), flex, bison
 Standards-Version: 3.9.5
