=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20140926
+VERSION = 20141107
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -35,8 +35,6 @@
 	# Commands to clean up after the build process.
 	$(MAKE) clean
 	rm -rf generate/unix/bin
-
-	dh_clean
 
 override_dh_install:
 	dh_testdir
