## acpica-unix 20150717

=== debian/changelog ===
acpica-unix (20150717-1ubuntu1) wily; urgency=medium

  * Fix tests (LP: #1483836)
    - Don't run aapits tests
    - filter results for innocuous unexpected warning messages

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 13 Aug 2015 18:55:56 -0500

acpica-unix (20150717-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.
  * Add new patch to correct AAPITS makefile after source file name changes

 -- ahs3 <ahs3@debian.org>  Wed, 05 Aug 2015 10:30:21 -0600

acpica-unix (20150619-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.  Patches for NFIT UUIDs, ARM GICs,
    and /dev/mem removed as no longer needed.

 -- ahs3 <ahs3@debian.org>  Tue, 30 Jun 2015 15:57:26 -0600

acpica-unix (20150515-2) unstable; urgency=medium

  * Replace the patch for systems with no /dev/mem with a more robust version;
    for now this will only affect arm64 systems

 -- ahs3 <ahs3@debian.org>  Wed, 03 Jun 2015 15:18:32 -0600

acpica-unix (20150515-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.
  * Add correction patch for NFIT UUIDs (from mailing list) 
  * Update Standards-Version to 3.9.6
  * Add patch from Linaro to remove reliance on /dev/mem for some tables.
  * Add patch to correct ARM GICs in MADT (from mailing list)
  * Add patch to fix some segfaults in AcpiDmCheckForSymbolicOpcode.

 -- ahs3 <ahs3@debian.org>  Fri, 22 May 2015 13:17:07 -0600

acpica-unix (20150410-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.

 -- ahs3 <ahs3@debian.org>  Mon, 13 Apr 2015 20:24:58 -0600

acpica-unix (20150408-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.

 -- ahs3 <ahs3@debian.org>  Wed, 08 Apr 2015 19:43:17 -0600

acpica-unix (20150204-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.

 -- ahs3 <ahs3@debian.org>  Mon, 02 Mar 2015 16:41:10 -0700
