=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: acpica-unix
 Section: devel
 Priority: optional
-Maintainer: Mattia Dongili <malattia@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattia Dongili <malattia@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
 Build-Depends: debhelper (>= 9.0), flex, bison
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://github.com/acpica-unix.git
 Vcs-Browser: https://github.com/acpica/acpica.git
 Homepage: http://www.acpica.org
